/* Comb(n, k) = Comb(n - 1, k) + Comb(n - 1, k - 1)
 * 
 * O(n * n)
 */ 
#include <iostream>
using namespace std;

int C[1000][1000];

int cnt;
int Comb(int n, int k)  // O(n * n)
{
	for (int i = 0; i <= n; ++i)
		C[i][i] = C[i][0] = 1, cnt++;
		
	for (int i = 2; i <= n; ++i)
		for (int j = 1; j < i; ++j)
		{
			C[i][j] = C[i - 1][j] + C[i - 1][j - 1];
			cnt++;
		}
			
	return C[n][k];
}

int main()
{
	int n, k;
	cin >> n >> k;
	cout << Comb(n, k) << '\n';
	cout << cnt;
}
