/* Comb(n, k) = Comb(n - 1, k) + Comb(n - 1, k - 1)
 * O(n * n)
 */ 
#include <iostream>
using namespace std;

int C[1000][1000];

int cnt;
int Comb(int n, int k)  // O(n * n)
{
	cnt++;
	if (C[n][k]) return C[n][k];
	if (n == k || k == 0)
		return C[n][k] = 1;
		
	return C[n][k] = Comb(n - 1, k) + Comb(n - 1, k - 1);
}

int main()
{
	int n, k;
	cin >> n >> k;
	cout << Comb(n, k) << '\n';
	cout << cnt;
}
