/* Comb(n, k) = Comb(n - 1, k) + Comb(n - 1, k - 1)
 * 
 */ 
#include <iostream>
using namespace std;

int C[1000][1000];

int cnt;
int Comb(int n, int k)  // O(n * n)
{
	cnt++;
	int& c = C[n][k];
	if (c) return c;
	if (n == k || k == 0)
		return c = 1;
		
	return c = Comb(n - 1, k) + Comb(n - 1, k - 1);
}

int main()
{
	int n, k;
	cin >> n >> k;
	cout << Comb(n, k) << '\n';
	cout << cnt;
}
